summaryrefslogtreecommitdiffstats
path: root/clients/newvoicebox
diff options
context:
space:
mode:
Diffstat (limited to 'clients/newvoicebox')
-rwxr-xr-xclients/newvoicebox58
1 files changed, 58 insertions, 0 deletions
diff --git a/clients/newvoicebox b/clients/newvoicebox
new file mode 100755
index 0000000..0f6ccde
--- /dev/null
+++ b/clients/newvoicebox
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+# $Id$
+#
+# This file is part of ivam.
+#
+# asd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# asd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ivam; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+
+if [ ! -d "$1" ] ; then
+ echo "New spool directory not found or not readable." > /dev/stderr
+ exit 1
+fi
+
+EMAIL=root
+[ "x$2" != "x" ] && EMAIL="$2"
+
+DATE=$(date)
+
+(
+ BOUND="$$-`date +%s`-ivam"
+
+ cat <<EOF
+To: $EMAIL
+Subject: New voice box created for $RINGMSN
+Mime-Version: 1.0
+Content-Type: text/plain; charset=us-ascii
+Content-Disposition: inline
+
+A new voice box has been created:
+
+ Caller number: $CALLERMSN
+ Local number: $RINGMSN
+Spool directory: $1
+ Date: $DATE
+
+Don't forget to configure this new voice box by adjusting the files
+in the spool directory. For more information see the README file
+you find in there.
+
+ Best regards, your voice box system
+
+EOF
+
+) | /usr/sbin/sendmail -oi -t
+